Subject: Re: [bug#59352] [PATCH] gnu: Add emacs-org-tree-slide.

From: Nicolas Goaziou <[email-masked]>
Date: Sat, 19 Nov 2022 10:38:00 +0100

Hello,

Sergiu Ivanov <[email-masked]> writes:

> So, I decided to update the existing definition and improve it according
> to your suggestions.  I attach the new patch.

Great! I applied it with a minor twist explained below.

> Subject: [PATCH] gnu: emacs-org-tree-slide: Update to 2.8.18.
>
> * gnu/packages/emacs-xyz.scm (emacs-org-tree-slide): Update to 2.8.18.

You're updating to the latest commit, which is not exactly "2.8.18", to
"2.8.18-0.d6529bc".

Also, the commit message must include changes you made to synopsis and
description, which could arguably have been done in a subsequent commit,
but that's fine.

> ---
>  gnu/packages/emacs-xyz.scm | 16 ++++++++--------
>  1 file changed, 8 insertions(+), 8 deletions(-)
>
> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
> index fe0d9f1dc9..f827107b29 100644
> --- a/gnu/packages/emacs-xyz.scm
> +++ b/gnu/packages/emacs-xyz.scm
> @@ -18644,11 +18644,11 @@ (define-public emacs-kotlin-mode
>        (license license:gpl3+))))
>  
>  (define-public emacs-org-tree-slide
> -  (let ((commit "036a36eec1cf712d3db155572aed325daa372eb5")
> -        (revision "2"))
> +  (let ((commit "d6529bc2df727d09014e0e56abf4f15a8e8fc20f")
> +        (revision "3"))

The revision is reset to "0" since you bumped the base version. Revision
is here to ensure monotonic growth between version bumps because commit
hashes cannot ensure this. Therefore, it is only useful to increase the
revision number within the same base version.

Thank you!

Regards,
-- 
Nicolas Goaziou